[uClinux-dev] Minimum size of uCLinux and J9 compatibility

Jonathan Wong jhannwong at gmail.com
Mon Feb 2 02:42:01 EST 2009


Hi Chris,

 > I'm pretty sure Mika can still be compiled with gcc 2.95.3, J9 might be more
 > problematic - but if it's physically possible the Apogee guys can do it. :-)

I don't need the latest and greatest JVM there is. Just something that works and is easy to 
program. Mika compiled with gcc 2.95.3 will be fine, unless I can't do the 2 things I intend to: 
HTTPS comms and media playback.

I need HTTPS comms and media playback. Nothing more. No touchscreen, no PDA or phone.

And the hardware guys just told me I have 128MB RAM.

Doesn't seem like there's a lot of people here doing Java on small devices, is there? Is it a bad 
idea?

Regards
Jonathan



More information about the uClinux-dev mailing list